# Get ledger's fee details

Endpoint: GET /v1/ledgers/{ledgerId}/fees
Security: httpAuth

## Path parameters:

  - `ledgerId` (string, required)

## Response 200 fields (application/json):

  - `body` (any) — one of (discriminator: type):
    - Bitcoin:
      - `high` (object, required)
      - `high.satoshiPerVbyte` (string, required)
        This field is a large decimal and represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.
      - `medium` (object, required)
      - `low` (object, required)
      - `type` (string, required)
        Enum: "Bitcoin"
    - Ethereum:
      - `high` (object, required)
      - `high.gasPrice` (string, required)
        This field is a large integer and represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.
      - `high.eip1559Prices` (object)
      - `high.eip1559Prices.basePrice` (string, required)
        This field is a large integer and represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.
      - `high.eip1559Prices.priorityPrice` (string, required)
        This field is a large integer and represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.
      - `medium` (object, required)
      - `low` (object, required)
      - `type` (string, required)
        Enum: "Ethereum"
    - Stellar:
      - `high` (object, required)
      - `high.baseFeeStroops` (string, required)
        This field is a large integer and represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.
      - `medium` (object, required)
      - `low` (object, required)
      - `type` (string, required)
        Enum: "Stellar"
    - XRPL:
      - `high` (object, required)
      - `high.multiplier` (string, required)
        This field is a large integer and represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.
      - `medium` (object, required)
      - `low` (object, required)
      - `type` (string, required)
        Enum: "XRPL"

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


